## org.apache.http.conn.params
Class ConnConnectionParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.conn.params.ConnConnectionParamBean

    @NotThreadSafe
    public class ConnConnectionParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP client connection parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`ConnConnectionParamBean(HttpParams params)`

Method Summary
`void` `setMaxStatusLineGarbage(int maxStatusLineGarbage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnConnectionParamBean

    public ConnConnectionParamBean(HttpParams params)

Method Detail

### setMaxStatusLineGarbage

    public void setMaxStatusLineGarbage(int maxStatusLineGarbage)

  See Also:
    `ConnConnectionPNames.MAX_STATUS_LINE_GARBAGE`

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.